//BZFlag Headers
#include "bzfsAPI.h"

//Plugin Headers
#include "Tokenize.h"

//System Headers
#include <string>
#include <vector>
#include <fstream>

bool parseConfig(const char *filename){
	char buffer[1024];

	std::ifstream confStrm(filename);
	if(!confStrm.is_open()){
		bz_debugMessage(1, "RacetoSeven ERROR: Could not open config file. Using default values.");
		return false;
	}

	std::string stdbuffer;
	const char* option_name;
	while(confStrm.good()){
		confStrm.getline(buffer,1024);
		stdbuffer = buffer;

		std::vector<std::string> line = tokenize(stdbuffer.c_str(), std::string(" "));

		if(line.size() >= 1){
			option_name = line[0].c_str();
			
			if(strcmp(option_name, "-capNum") == 0){
				cap_num = cap_num_orig = strtol(line[1].c_str(), NULL, 10);
				bz_debugMessage(1, "-capNum SET");
			}else if(strcmp(option_name, "-allowPlayersDuringMatch") == 0){
				if(line[1] == "true") allow_players = allow_players_orig = true;
				if(line[1] == "false") allow_players = allow_players_orig = false;
			}else if(strcmp(option_name, "-reportURL") == 0){
				URL = URL_orig = line[1];
			}else if(strcmp(option_name, "-allowMatches") == 0){
				if(line[1] == "true") allow_matches = allow_matches_orig = true;
				if(line[1] == "false") allow_matches = allow_matches_orig = false;
			}
		}
	}
	return true;
}